### Method

# Soup AuthDomain challenge

#### Declaration [src]

    void
    soup_auth_domain_challenge (
      SoupAuthDomain* domain,
      SoupServerMessage* msg
    )

#### Description [src]

Adds a “WWW-Authenticate” or “Proxy-Authenticate” header to `msg`.

It requests that the client authenticate, and sets `msg`‘s status accordingly.

This is used by `SoupServer` internally and is probably of no use to anyone else.

#### Parameters

`msg`

  Type: `SoupServerMessage`

  A `SoupServerMessage`.

  The data is owned by the caller of the method.